<?php

// ---
// --- Listening to blockchain.info to get the last block
// ---

// ---
// --- La config globale
// ---
require_once '../global/inc/config.php';

// ---
// --- Internal dependances
// ---
require_once 'inc/block.php';

// ---
// --- On interroge la blockchain
// ---  => Ce qui a pour effet de placer le block dans le cache
// ---
blockchain::getSpecialBlocklist();

$the_block = blockchain::getBlockWithHash(blockchain::getLastBlockHash());
if ($the_block === FALSE) die();
echo 'LAST '.$the_block->hash." ".$the_block->height." ".$the_block->n_tx.PHP_EOL;

exit(0);

// On a demandé le dernier block
// On remonte sur les huits derniers pour accélerer les prochaines navigations
for($max=0;($max<8)&&(!file_exists(DATA_PATH.'/json/'.$the_block->prev_block.'.zip'));$max++)
{
	$block_hash = $the_block->prev_block;
	$the_block = blockchain::getBlockWithHash($block_hash);
	if ($the_block === FALSE) die();
	echo 'CACHE '.$the_block->hash." ".$the_block->height." ".$the_block->n_tx.PHP_EOL;
}
?>
